package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.FzQzFkModule;
import com.xwkj.jcjcgz.mvp.contract.FzQzFkContract;

import com.jess.arms.di.scope.ActivityScope;
import com.xwkj.jcjcgz.mvp.ui.activity.FzQzFkActivity;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/18/2024 16:09
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@ActivityScope
@Component(modules = FzQzFkModule.class, dependencies = AppComponent.class)
public interface FzQzFkComponent {
    void inject(FzQzFkActivity activity);

    @Component.Builder
    interface Builder {
        @BindsInstance
        FzQzFkComponent.Builder view(FzQzFkContract.View view);

        FzQzFkComponent.Builder appComponent(AppComponent appComponent);

        FzQzFkComponent build();
    }
}