package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.GztModule;
import com.xwkj.jcjcgz.mvp.contract.GztContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.GztFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/09/2024 14:10
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = GztModule.class, dependencies = AppComponent.class)
public interface GztComponent {
    void inject(GztFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        GztComponent.Builder view(GztContract.View view);

        GztComponent.Builder appComponent(AppComponent appComponent);

        GztComponent build();
    }
}