package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.RwfxTaskStatusModule;
import com.xwkj.jcjcgz.mvp.contract.RwfxTaskStatusContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.RwfxTaskStatusFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/12/2024 09:54
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = RwfxTaskStatusModule.class, dependencies = AppComponent.class)
public interface RwfxTaskStatusComponent {
    void inject(RwfxTaskStatusFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        RwfxTaskStatusComponent.Builder view(RwfxTaskStatusContract.View view);

        RwfxTaskStatusComponent.Builder appComponent(AppComponent appComponent);

        RwfxTaskStatusComponent build();
    }
}