package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.RwfxTaskTypeModule;
import com.xwkj.jcjcgz.mvp.contract.RwfxTaskTypeContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.RwfxTaskTypeFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/12/2024 10:07
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = RwfxTaskTypeModule.class, dependencies = AppComponent.class)
public interface RwfxTaskTypeComponent {
    void inject(RwfxTaskTypeFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        RwfxTaskTypeComponent.Builder view(RwfxTaskTypeContract.View view);

        RwfxTaskTypeComponent.Builder appComponent(AppComponent appComponent);

        RwfxTaskTypeComponent build();
    }
}