package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.RwzxModule;
import com.xwkj.jcjcgz.mvp.contract.RwzxContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.RwzxFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/09/2024 14:09
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = RwzxModule.class, dependencies = AppComponent.class)
public interface RwzxComponent {
    void inject(RwzxFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        RwzxComponent.Builder view(RwzxContract.View view);

        RwzxComponent.Builder appComponent(AppComponent appComponent);

        RwzxComponent build();
    }
}