package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.Test1Module;
import com.xwkj.jcjcgz.mvp.contract.Test1Contract;

import com.jess.arms.di.scope.ActivityScope;
import com.xwkj.jcjcgz.mvp.ui.activity.Test1Activity;
import com.xwkj.jcjcgz.mvp.ui.fragment.Test1Fragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/11/2024 08:55
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@ActivityScope
@Component(modules = Test1Module.class, dependencies = AppComponent.class)
public interface Test1Component {
    void inject(Test1Activity activity);

    void inject(Test1Fragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        Test1Component.Builder view(Test1Contract.View view);

        Test1Component.Builder appComponent(AppComponent appComponent);

        Test1Component build();
    }
}