package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.GrzxModule;
import com.xwkj.jcjcgz.mvp.contract.GrzxContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.GrzxFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/09/2024 14:10
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = GrzxModule.class, dependencies = AppComponent.class)
public interface GrzxComponent {
    void inject(GrzxFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        GrzxComponent.Builder view(GrzxContract.View view);

        GrzxComponent.Builder appComponent(AppComponent appComponent);

        GrzxComponent build();
    }
}