package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.TaskModule;
import com.xwkj.jcjcgz.mvp.contract.TaskContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.TaskFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/10/2024 15:13
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = TaskModule.class, dependencies = AppComponent.class)
public interface TaskComponent {
    void inject(TaskFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        TaskComponent.Builder view(TaskContract.View view);

        TaskComponent.Builder appComponent(AppComponent appComponent);

        TaskComponent build();
    }
}