package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.TaskDxzpModule;
import com.xwkj.jcjcgz.mvp.contract.TaskDxzpContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.TaskDxzpFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/16/2024 14:19
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = TaskDxzpModule.class, dependencies = AppComponent.class)
public interface TaskDxzpComponent {
    void inject(TaskDxzpFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        TaskDxzpComponent.Builder view(TaskDxzpContract.View view);

        TaskDxzpComponent.Builder appComponent(AppComponent appComponent);

        TaskDxzpComponent build();
    }
}