package com.xwkj.jcjcgz.di.component;

import dagger.BindsInstance;
import dagger.Component;

import com.jess.arms.di.component.AppComponent;

import com.xwkj.jcjcgz.di.module.TaskTypeModule;
import com.xwkj.jcjcgz.mvp.contract.TaskTypeContract;

import com.jess.arms.di.scope.FragmentScope;
import com.xwkj.jcjcgz.mvp.ui.fragment.TaskTypeFragment;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 07/11/2024 14:58
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
@Component(modules = TaskTypeModule.class, dependencies = AppComponent.class)
public interface TaskTypeComponent {
    void inject(TaskTypeFragment fragment);

    @Component.Builder
    interface Builder {
        @BindsInstance
        TaskTypeComponent.Builder view(TaskTypeContract.View view);

        TaskTypeComponent.Builder appComponent(AppComponent appComponent);

        TaskTypeComponent build();
    }
}